package com.gic.cloud.data.hook.service.deal;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.cloud.data.hook.service.entity.QueryFilterInfo;
import lombok.Data;

import java.util.List;

@Data
public class QueryFilterContext extends BasePageInfo {
    /**
     * 过滤项信息
     */
    private QueryFilterInfo queryFilterInfo;

    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 搜索名称
     */
    private String search;
    /**
     * 保存的值
     */
    private List<String> items;

    public QueryFilterInfo getQueryFilterInfo() {
        return queryFilterInfo;
    }

    public void setQueryFilterInfo(QueryFilterInfo queryFilterInfo) {
        this.queryFilterInfo = queryFilterInfo;
    }
}
